CREATE TABLE fnd_indexes (
    TABLE_ID               NUMBER(18, 0),
    INDEX_ID               NUMBER(18, 0),
    INDEX_NAME             VARCHAR2(120)    NOT NULL,
    CUSTOMIZED_FLAG        VARCHAR2(4)  ,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    UNIQUENESS             VARCHAR2(4)  ,
    DEPLOY_TO              VARCHAR2(120),
    STATUS                 VARCHAR2(120),
    SHORT_NAME             VARCHAR2(120),
    ORA_EDITION_CONTEXT    VARCHAR2(120),
    APPLICATION_DB_TYPE    VARCHAR2(120),
    TABLE_ID               NUMBER(18, 0),
    INDEX_ID               NUMBER(18, 0),
    INDEX_NAME             VARCHAR2(120)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    UNIQUENESS             VARCHAR2(4)  ,
    DEPLOY_TO              VARCHAR2(120),
    STATUS                 VARCHAR2(120),
    SHORT_NAME             VARCHAR2(120),
    ORA_EDITION_CONTEXT    VARCHAR2(120),
    APPLICATION_DB_TYPE    VARCHAR2(120),
    CUSTOMIZED_FLAG        VARCHAR2(4)  ,
    CONSTRAINT pk_fnd_indexes PRIMARY KEY (TABLE_ID, INDEX_ID, ORA_EDITION_CONTEXT, TABLE_ID, INDEX_ID, ORA_EDITION_CONTEXT)
);
